Bug 833864 - [abrt] evolution-3.4.2-1.fc17: type_iface_peek_holder_L: Process /usr/libexec/evolution/3.4/evolution-alarm-notify was killed by signal 11 (SIGSEGV)
[abrt] evolution-3.4.2-1.fc17: type_iface_peek_holder_L: Process /usr/libexec...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:0df8a642f97f0e7a316c5748855...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-20 09:42 EDT by Douglas Furlong
Modified: 2013-07-31 23:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:43:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (36.05 KB, text/plain)
2012-06-20 09:42 EDT, Douglas Furlong
no flags Details
File: smolt_data (9.19 KB, text/plain)
2012-06-20 09:42 EDT, Douglas Furlong
no flags Details
File: maps (61.10 KB, text/plain)
2012-06-20 09:43 EDT, Douglas Furlong
no flags Details
File: dso_list (13.33 KB, text/plain)
2012-06-20 09:43 EDT, Douglas Furlong
no flags Details
File: build_ids (5.12 KB, text/plain)
2012-06-20 09:43 EDT, Douglas Furlong
no flags Details

  None (edit)
Description Douglas Furlong 2012-06-20 09:42:48 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/libexec/evolution/3.4/evolution-alarm-notify
crash_function: type_iface_peek_holder_L
executable:     /usr/libexec/evolution/3.4/evolution-alarm-notify
kernel:         3.4.2-4.fc17.x86_64
pid:            1896
pwd:            /home/douglas.furlong
time:           Wed 20 Jun 2012 12:01:34 BST
uid:            1000
username:       douglas.furlong
var_log_messages: Jun 20 12:01:34 z600 abrt[2574]: Saved core dump of pid 1896 (/usr/libexec/evolution/3.4/evolution-alarm-notify) to /var/spool/abrt/ccpp-2012-06-20-12:01:34-1896 (23838720 bytes)
xsession_errors: 

backtrace:      Text file, 36911 bytes
build_ids:      Text file, 5248 bytes
dso_list:       Text file, 13645 bytes
maps:           Text file, 62569 bytes
smolt_data:     Text file, 9415 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/douglas.furlong/2

core_backtrace:
:31243d0d107bba586a96433c76c87a26db1e826c 0x2a900 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2c8cc - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2d8fd g_type_class_ref libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x16311 g_object_newv libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x168ac g_object_new libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2226cb gtk_text_layout_draw libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x23fc8d - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x17adcf - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2a04be - libgtk-3.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf943 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2b134e - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2b1505 gtk_widget_send_expose libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x17abf2 gtk_main_do_event libgtk-3.so.0 -
:8b33feb27b2125997520fdd21c90c42a65e438f1 0x37880 - libgdk-3.so.0 -
:8b33feb27b2125997520fdd21c90c42a65e438f1 0x3782a - libgdk-3.so.0 -
:8b33feb27b2125997520fdd21c90c42a65e438f1 0x3782a - libgdk-3.so.0 -
:8b33feb27b2125997520fdd21c90c42a65e438f1 0x3782a - libgdk-3.so.0 -
:8b33feb27b2125997520fdd21c90c42a65e438f1 0x3782a - libgdk-3.so.0 -
:8b33feb27b2125997520fdd21c90c42a65e438f1 0x36cd6 - libgdk-3.so.0 -
:8b33feb27b2125997520fdd21c90c42a65e438f1 0x36f7d gdk_window_process_updates libgdk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2bc46d - libgtk-3.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf943 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0xf3825 - libgtk-3.so.0 -
:8b33feb27b2125997520fdd21c90c42a65e438f1 0x1a7b0 - libgdk-3.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47ad4 g_main_context_iteration libglib-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0x97dec g_application_run libgio-2.0.so.0 -
:806d81c6a2f15235440adf2ccadeee88a80a2533 0x6fe0 main [exe] -

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=1762
:XDG_SESSION_ID=2
:HOSTNAME=z600.lme.co.uk
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=d270dfbb9c2432017d794b9a00000009-1340190023.671410-747827627
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/douglas.furlong/keyring-azn6Eb
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=douglas.furlong
:SSH_AUTH_SOCK=/run/user/douglas.furlong/keyring-azn6Eb/ssh
:USERNAME=douglas.furlong
:MAIL=/var/spool/mail/douglas.furlong
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/douglas.furlong/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/douglas.furlong
:XMODIFIERS=@im=none
:EDITOR=vim
:GNOME_KEYRING_PID=1591
:LANG=en_GB.utf8
:GDM_LANG=en_GB.utf8
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/douglas.furlong
:SHLVL=1
:LOGNAME=douglas.furlong
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-YWrYzs1By3,guid=d631ce71aa4cc94e09e97bf200000024
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/douglas.furlong
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-douglas.furlong-fEmAPS/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1595,unix/unix:/tmp/.ICE-unix/1595
:GPG_AGENT_INFO=/run/user/douglas.furlong/keyring-azn6Eb/gpg:0:1
:LC_TIME=en_GB.utf8
:LC_NUMERIC=en_GB.utf8
:LC_MONETARY=en_GB.utf8
:LC_MEASUREMENT=en_GB.utf8
:DESKTOP_AUTOSTART_ID=1032ae21eaa5919c52134019003219334000000015950027

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 63566                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       63566                63566                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/douglas.furlong/.xsession-errors
:pos:	7690
:flags:	0102002
:2:/home/douglas.furlong/.xsession-errors
:pos:	7690
:flags:	0102002
:3:socket:[26507]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[27558]
:pos:	0
:flags:	02004002
:6:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:7:socket:[24064]
:pos:	0
:flags:	02004002
:8:socket:[26509]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:socket:[24109]
:pos:	0
:flags:	02004002
:12:/dev/urandom
:pos:	0
:flags:	02100000
Comment 1 Douglas Furlong 2012-06-20 09:42:52 EDT
Created attachment 593213 [details]
File: backtrace
Comment 2 Douglas Furlong 2012-06-20 09:42:54 EDT
Created attachment 593214 [details]
File: smolt_data
Comment 3 Douglas Furlong 2012-06-20 09:43:00 EDT
Created attachment 593215 [details]
File: maps
Comment 4 Douglas Furlong 2012-06-20 09:43:02 EDT
Created attachment 593216 [details]
File: dso_list
Comment 5 Douglas Furlong 2012-06-20 09:43:03 EDT
Created attachment 593217 [details]
File: build_ids
Comment 6 Milan Crha 2012-06-20 13:29:08 EDT
Thanks for a bug report. Do you have any kind of reproducer for this, please? The backtrace suggest that this is something with gtk3, as there is nothing related to evolution's code in the backtrace, but I cannot tell for sure.

Matthias, do you have any idea on this, please?
Comment 7 Douglas Furlong 2012-06-20 17:26:40 EDT
I wish I could, but unfortunately I do not.

The majority of crashes/instability that I suffer within Evolution is in and around Calendaring.

This could either be;

1) Clicking on the Date/Time at the top of the screen and waiting for the calendar to appear.

2) Receiving a calendar request as an email, and clicking on it to read it (but it crashing before displaying).

3) Reading it and attempting to accept it.

4) Deleting it.

etc etc etc.

Alas, I receive so many of them, I struggle to keep a track record, as it also does not appear to be a consistent crash.
Comment 8 Milan Crha 2012-06-25 05:01:11 EDT
Maybe, if you can reproduce it at least "quite often", then it will worth it to run evolution under valgrind and trying all the calendar related actions you named above. Valgrind can catch memory usage errors (in case we face here any such), and instead of crashing, in certain types of issues, it logs about them. The only disadvantage is that evolution is significantly slower, due to all the memory checking. I'll appreciate if you could run this test, even it'll be time consuming.

Please, make sure you have installed debuginfo packages for gtk3, glib2, gtkhtml3, evolution-data-server, evolution and if you use other evolution-* packages, then for them too, and that they are of the same version as the binary packages (like with: rpm -qa | grep evolution | sort). Then install valgrind, if not installed yet, and run evolution under valgrind like this:
   $ G_SLICE=always-malloc valgrind --num-callers=50 evolution &>log.txt
You can see high CPU usage after you invoke this command, and log.txt file growing. It can take even longer than a minute until evolution's window will be shown, it depends on accounts you have configured, search folders (it's preferred to disable then in Edit->Preferences->Mail Accounts, before you run evolution under valgrind) and other circumstances, like account's automatic update on evolution's start. The resulting log.txt file can contain information about improperly used memory, though it's likely it'll be full of memory issues around 'wcslen' function. This one can be suppressed, for example, with adding below lines into the beginning of /usr/lib64/valgrind/default.supp:
{
   Skip any wcslen calls
   Memcheck:Addr8
   fun:wcslen
}
Comment 9 Fedora End Of Life 2013-07-03 20:14:17 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2013-07-31 23:43:46 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.